Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Class DispatcherRegistry

    java.lang.Object
      org.joseki.server.DispatcherRegistry

public class DispatcherRegistry
extends java.lang.Object

The dispatcher registry exists so that connectors can dynamically find the appropiate dispatcher. For example, servlets can find the dispatcher during initialization, before they are first called; when embedded, adding a servlet also creates and starts it making it inconvenient to bind the servlet to a dispatcher (e.g. the servlet may regsiter operation hamdlers descirbed in it configuration file).

Version:
  $Id: DispatcherRegistry.java,v 1.3 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Method Summary
`void` | `add(java.lang.String name, Dispatcher dispatcher)`
`boolean` | `contains(java.lang.String name)`
`Dispatcher` | `find(java.lang.String name)`
`static DispatcherRegistry` | `getInstance()`
`java.util.Iterator` | `registeredDispatchers()`
`java.util.Iterator` | `registeredNames()`
`void` | `remove(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DispatcherRegistry getInstance()

### add

    public void add(java.lang.String name,
                    Dispatcher dispatcher)

### remove

    public void remove(java.lang.String name)

### find

    public Dispatcher find(java.lang.String name)

### contains

    public boolean contains(java.lang.String name)

### registeredNames

    public java.util.Iterator registeredNames()

### registeredDispatchers

    public java.util.Iterator registeredDispatchers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.